Here again your favorite Random Dude. Today topic goes about something that I have been dealing with KACE (both the product and the support) for quite some time. From time to time they will ask you to modify stuff in your virtual appliance. So today I will bring you information on how to upgrade the compatibility for them. 


This guide works for both the K1000|SMA or the K2000|SDA


ESXi  will offer you two options (Source from VMWare):

Manual Upgrade

This procedure upgrades one or more virtual machines to the latest supported virtual hardware version immediately.


Schedule VM Upgrades

Use this procedure to schedule an upgrade of one or more virtual machines at the next reboot of the virtual machine, and choose from all supported compatibility level upgrades.


Now with that in mind, let's proceed with the first option.


1. Go to your appliance web interface and shut it down (Always from the web Interface or it can get corrupted and that means calling KACE for help).

2. Open your Hypervisor interface

3. Locate your VM

4. Actions > Compatibility > Upgrade VM compatibility

AxUAdrfqpfkRAAAAAElFTkSuQmCC

5. Be sure to match the VM Compatibility version with your hypervisor version or the first version behind. 


6. OK

7. When done, turn on the VM 


And that's it! Pretty short but it can help to keep your appliance running smooth.

PS. be sure to be running the suggested version of ESXi, according to KACE documentation

K1000|SMA Technical Specifications for Virtual Appliances

K2000|SDA Technical Specifications for Virtual Appliances


See you in my next post!